Index: /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/FCSTest.java
===================================================================
--- /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/FCSTest.java	(revision 7201)
+++ /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/FCSTest.java	(revision 7202)
@@ -115,6 +115,11 @@
 
 
+    protected FCSTestResult makeSkipped(String message) {
+        return new FCSTestResult(this, FCSTestResult.Code.SKIPPED, message);
+    }
+
+
     protected FCSTestResult makeSkipped() {
-        return new FCSTestResult(this, FCSTestResult.Code.SKIPPED,
+        return makeSkipped(
                 "The test case was skipped because it was not applicable");
     }
Index: /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/tests/TestExplain6.java
===================================================================
--- /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/tests/TestExplain6.java	(revision 7201)
+++ /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/tests/TestExplain6.java	(revision 7202)
@@ -30,4 +30,5 @@
 import eu.clarin.sru.client.fcs.ClarinFCSConstants;
 import eu.clarin.sru.client.fcs.ClarinFCSEndpointDescription;
+import eu.clarin.sru.client.fcs.DataViewHits;
 
 @FCSTestCase(priority=1100, profiles = {
@@ -80,5 +81,22 @@
             if (desc.getCapabilities()
                     .contains(ClarinFCSConstants.CAPABILITY_ADVANCED_SEARCH)) {
-                return makeError("Capabilities indicate support for advanced search, but FCS 1.0 does not support advanced search");
+                return makeError("Capabilities indicate support for Advanced Search, but FCS 1.0 does not support advanced search");
+            }
+            if (desc.getSupportedDataViews().size() == 0) {
+                return makeError("No dataview declared. Endpoint must declare support for at least one data view");
+            } else {
+                boolean found = false;
+                for (ClarinFCSEndpointDescription.DataView dataview : desc
+                        .getSupportedDataViews()) {
+                    if (dataview.isMimeType(DataViewHits.TYPE)) {
+                        found = true;
+                    }
+                }
+                if (!found) {
+                    return makeError("Endpoint must declare support for Generic Hits dataview (mimeType = " + DataViewHits.TYPE + ")");
+                }
+            }
+            if (desc.getResources().size() == 0) {
+                return makeError("No resources declared. Endpoint must declare at least one Resource");
             }
             return makeSuccess();
Index: /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/tests/TestExplain7.java
===================================================================
--- /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/tests/TestExplain7.java	(revision 7201)
+++ /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/tests/TestExplain7.java	(revision 7202)
@@ -30,4 +30,6 @@
 import eu.clarin.sru.client.fcs.ClarinFCSConstants;
 import eu.clarin.sru.client.fcs.ClarinFCSEndpointDescription;
+import eu.clarin.sru.client.fcs.DataViewAdvanced;
+import eu.clarin.sru.client.fcs.DataViewHits;
 
 @FCSTestCase(priority=1100, profiles = {
@@ -79,7 +81,40 @@
     private FCSTestResult validate(FCSTestContext context, ClarinFCSEndpointDescription desc) {
         if (desc.getVersion() == 2) {
-            if (!desc.getCapabilities()
-                    .contains(ClarinFCSConstants.CAPABILITY_ADVANCED_SEARCH)) {
+            boolean supportsADV = desc.getCapabilities()
+                    .contains(ClarinFCSConstants.CAPABILITY_ADVANCED_SEARCH);
+            if (supportsADV) {
                 context.setProperty(FCSTestContext.PROP_SUPPORTS_ADV, Boolean.TRUE);
+            }
+            if (desc.getSupportedDataViews().size() == 0) {
+                return makeError("No dataview declared. Endpoint must declare support for at least one data view");
+            } else {
+                boolean foundHits = false;
+                boolean foundAdv = false;
+                for (ClarinFCSEndpointDescription.DataView dataview : desc
+                        .getSupportedDataViews()) {
+                    if (dataview.isMimeType(DataViewHits.TYPE)) {
+                        foundHits = true;
+                    }
+                    if (dataview.isMimeType(DataViewAdvanced.TYPE)) {
+                        if (supportsADV) {
+                            foundAdv = true;
+                        }
+                    }
+                }
+                if (!foundHits) {
+                    return makeError("Endpoint must declare support for Generic Hits dataview (mimeType = " + DataViewHits.TYPE + ")");
+                }
+                if (supportsADV && !foundAdv) {
+                    return makeError("Capabilites indicate support for Advanced Search, so Endpoint must declare support for Advanced dataview (mimeType = " + DataViewHits.TYPE + ")");
+                    
+                }
+            }
+            if (desc.getResources().size() == 0) {
+                return makeError("No resources declared. Endpoint must declare at least one Resource");
+            }
+            if (supportsADV) {
+                if (desc.getSupportedLayers().size() == 0) {
+                    return makeError("Capabilites indicate support for Advanced Search, so Endpoint must supported layers");                    
+                }
             }
             return makeSuccess();
Index: /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/tests/TestSearch14.java
===================================================================
--- /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/tests/TestSearch14.java	(revision 7201)
+++ /FCSEndpointTester/trunk/src/main/java/eu/clarin/fcs/tester/tests/TestSearch14.java	(revision 7202)
@@ -69,5 +69,5 @@
             throws SRUClientException {
         if (!context.hasProperty(FCSTestContext.PROP_SUPPORTS_ADV)) {
-            return makeSkipped();
+            return makeSkipped("Endpoint claims no support for Advanced Search");
         }
         SRUSearchRetrieveRequest req = context.createSearchRetrieveRequest();