Index: /SRUAggregator/trunk/src/main/resources/assets/js/main.js
===================================================================
--- /SRUAggregator/trunk/src/main/resources/assets/js/main.js	(revision 7227)
+++ /SRUAggregator/trunk/src/main/resources/assets/js/main.js	(revision 7228)
@@ -35116,8 +35116,8 @@
 					React.createElement(
 						"div",
-						{ className: "rightist", style: { position: 'absolute', right: 0, width: 150 } },
+						{ className: "rightist", style: { position: 'absolute', right: 0, width: 170 } },
 						React.createElement(
 							"a",
-							{ href: this.props.URLROOT, target: "_blank", tabIndex: "-1" },
+							{ href: this.props.URLROOT + "/", target: "_blank", tabIndex: "-1" },
 							React.createElement("img", { width: "28px", height: "28px", src: "img/magglass1.png" }),
 							React.createElement(
@@ -37616,4 +37616,5 @@
 	var URLROOT = window.MyAggregator.URLROOT = window.location.pathname.substring(0, window.location.pathname.indexOf("/", 2)) ||
 	//window.location.pathname ||
+	//"/ws/fcs/2.0/aggregator";
 	"/Aggregator";
 
@@ -37840,10 +37841,10 @@
 							React.createElement(
 								"a",
-								{ className: "navbar-brand", href: URLROOT, tabIndex: "-1" },
+								{ className: "navbar-brand", href: URLROOT + "/", tabIndex: "-1" },
 								React.createElement("img", { width: "28px", height: "28px", src: "img/magglass1.png" }),
 								React.createElement(
 									"header",
 									{ className: "inline" },
-									" Content Search "
+									" Federated Content Search "
 								)
 							)
@@ -38718,5 +38719,5 @@
 				'input-lg': true
 			});
-			var newurl = !query ? "#" : window.MyAggregator.URLROOT + "?" + encodeQueryData({ queryType: queryTypeId, query: query, mode: 'search' });
+			var newurl = !query ? "#" : window.MyAggregator.URLROOT + (this.props.embedded ? "/embed" : "/") + "?" + encodeQueryData({ queryType: queryTypeId, query: query, mode: 'search' });
 			return React.createElement(
 				"a",
@@ -39305,10 +39306,10 @@
 					"p",
 					null,
-					"To perform a simple keyword search in all CLARIN Federated Content Search centres and their corpora, go to the search field at the top of the page, enter your query, and click the 'search' button or press the 'Enter' key."
+					"To perform a simple keyword search in all CLARIN Federated Content Search centres and their corpora, go to the search field at the top of the page or switch to Text Layer Contextual Query Language (CQL) in the dropdown list, enter your query, and click the 'search' button or press the 'Enter' key."
 				),
 				React.createElement(
 					"p",
 					null,
-					"To perform an advanced search on multiple annotation layers in CLARIN Federated Content Search centres that support this, switch to Multi-layer Federated Content Search (FCS) in the dropdown list, enter a FCS query in the search field at the top of the page, and click the 'search' button or press the 'Enter' key."
+					"To perform an advanced search on multiple annotation layers in CLARIN Federated Content Search centres that support this, switch to Multi-layer Federated Content Search (FCS-QL) in the dropdown list, create the query in the Graphical Query Builder, and click the 'search' button or press the 'Enter' key. Alternatively in embedded mode enter a FCS-QL query in the search field at the top of the page."
 				),
 				React.createElement(
Index: /SRUAggregator/trunk/src/main/resources/assets/js/main.jsx
===================================================================
--- /SRUAggregator/trunk/src/main/resources/assets/js/main.jsx	(revision 7227)
+++ /SRUAggregator/trunk/src/main/resources/assets/js/main.jsx	(revision 7228)
@@ -19,5 +19,7 @@
 	window.location.pathname.substring(0, window.location.pathname.indexOf("/", 2)) ||
         //window.location.pathname ||
+        //"/ws/fcs/2.0/aggregator";
 	"/Aggregator";
+
 
 var PT = PropTypes;
@@ -194,7 +196,7 @@
 								<span className="icon-bar"></span>
 							</button>
-							<a className="navbar-brand" href={URLROOT} tabIndex="-1">
+							<a className="navbar-brand" href={URLROOT + "/"} tabIndex="-1">
 								<img width="28px" height="28px" src="img/magglass1.png"/>
-								<header className="inline"> Content Search </header>
+								<header className="inline"> Federated Content Search </header>
 							</a>
 						</div>