Index: FCSSimpleClient/trunk/pom.xml
===================================================================
--- FCSSimpleClient/trunk/pom.xml	(revision 7268)
+++ FCSSimpleClient/trunk/pom.xml	(revision 7274)
@@ -9,5 +9,5 @@
     <description>A CLARIN-FCS client implementation supporting Legacy-FCS, FCS 1.0 and (partly) FCS 2.0</description>
     <organization>
-        <name>IDS Mannheim</name>
+        <name>Leibniz-Institut fÃŒr Deutsche Sprache</name>
         <url>http://www.ids-mannheim.de/</url>
     </organization>
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/AbstractClarinFCSRecordDataParser.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/AbstractClarinFCSRecordDataParser.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/AbstractClarinFCSRecordDataParser.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSClientBuilder.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSClientBuilder.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSClientBuilder.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSConstants.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSConstants.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSConstants.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSEndpointDescription.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSEndpointDescription.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSEndpointDescription.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSEndpointDescriptionParser.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSEndpointDescriptionParser.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSEndpointDescriptionParser.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSRecordData.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSRecordData.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSRecordData.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSRecordDataParser.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSRecordDataParser.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSRecordDataParser.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataView.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataView.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataView.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewAdvanced.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewAdvanced.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewAdvanced.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewGenericDOM.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewGenericDOM.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewGenericDOM.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewGenericString.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewGenericString.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewGenericString.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewHits.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewHits.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewHits.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParser.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParser.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParser.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserAdvanced.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserAdvanced.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserAdvanced.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserGenericDOM.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserGenericDOM.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserGenericDOM.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserGenericString.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserGenericString.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserGenericString.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserHits.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserHits.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserHits.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserKWIC.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserKWIC.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserKWIC.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyClarinFCSRecordData.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyClarinFCSRecordData.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyClarinFCSRecordData.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyClarinFCSRecordDataParser.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyClarinFCSRecordDataParser.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyClarinFCSRecordDataParser.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyDataViewKWIC.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyDataViewKWIC.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyDataViewKWIC.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/Resource.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/Resource.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/Resource.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/utils/ClarinFCSEndpointVersionAutodetector.java
===================================================================
--- FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/utils/ClarinFCSEndpointVersionAutodetector.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/utils/ClarinFCSEndpointVersionAutodetector.java	(revision 7274)
@@ -1,4 +1,4 @@
 /* This software is copyright (c) 2012-2021 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
Index: FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestClient.java
===================================================================
--- FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestClient.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestClient.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestSimpleClient.java
===================================================================
--- FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestSimpleClient.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestSimpleClient.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClient.java
===================================================================
--- FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClient.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClient.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClientCallback.java
===================================================================
--- FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClientCallback.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClientCallback.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt
Index: FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestUtils.java
===================================================================
--- FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestUtils.java	(revision 7268)
+++ FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestUtils.java	(revision 7274)
@@ -1,5 +1,5 @@
 /**
- * This software is copyright (c) 2012-2016 by
- *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This software is copyright (c) 2012-2022 by
+ *  - Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
  * and/or modify it under the terms described in
@@ -10,5 +10,5 @@
  *   http://www.gnu.org/licenses/gpl-3.0.txt
  *
- * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * @copyright Leibniz-Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  *
  * @license http://www.gnu.org/licenses/gpl-3.0.txt