Index: /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/AdvancedDataViewWriter.java
===================================================================
--- /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/AdvancedDataViewWriter.java	(revision 7278)
+++ /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/AdvancedDataViewWriter.java	(revision 7279)
@@ -49,6 +49,6 @@
             "http://clarin.eu/fcs/dataview/hits";
     private final Unit unit;
-    private final List<Segment> segments = new ArrayList<Segment>();
-    private final Map<URI, List<Span>> layers = new HashMap<URI, List<Span>>();
+    private final List<Segment> segments = new ArrayList<>();
+    private final Map<URI, List<Span>> layers = new HashMap<>();
     private long nextSegmentId = INITIAL_SEGMENT_ID;
 
@@ -189,5 +189,5 @@
         List<Span> layer = layers.get(layerId);
         if (layer == null) {
-            layer = new ArrayList<Span>();
+            layer = new ArrayList<>();
             layers.put(layerId, layer);
         }
Index: /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/EndpointDescription.java
===================================================================
--- /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/EndpointDescription.java	(revision 7278)
+++ /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/EndpointDescription.java	(revision 7279)
@@ -40,5 +40,5 @@
      */
     public static final int VERSION_2 = 2;
-    
+
     /**
      * Constant for a (synthetic) persistent identifier identifying the top-most
@@ -59,5 +59,5 @@
      * Get the version number of this endpoint description. <br>
      * Valid version are 1 for FCS 1.0 and 2 fpr FCS 2.0.
-     * 
+     *
      * @return the version number for this endpoint description
      */
@@ -67,13 +67,13 @@
     /**
      * Check if this endpoint description is in a certain version.
-     * 
+     *
      * @param version
      *            the version to check for
-     * 
+     *
      * @return <code>true</code>, if version number matches
      */
     public boolean isVersion(int version);
 
-    
+
     /**
      * Get the list of capabilities supported by this endpoint. The list
Index: /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/SimpleEndpointSearchEngineBase.java
===================================================================
--- /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/SimpleEndpointSearchEngineBase.java	(revision 7278)
+++ /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/SimpleEndpointSearchEngineBase.java	(revision 7279)
@@ -140,8 +140,8 @@
         if (enableAuthentication != null) {
             if (parseBoolean(enableAuthentication)) {
-                logger.debug("enabling authentication");                
+                logger.debug("enabling authentication");
                 AuthenticationProvider.Builder builder =
                         AuthenticationProvider.Builder.create();
-                
+
                 String audience = params.get(FCS_AUTHENTICATION_AUDIENCE_PARAM);
                 if (audience != null) {
@@ -157,5 +157,5 @@
                     }
                 }
-                
+
                 boolean ignoreIssuedAt = parseBoolean(
                         params.get(FCS_AUTHENTICATION_IGNORE_ISSUEDAT_PARAM));
@@ -177,5 +177,5 @@
                     builder.withExpiresAt(expiresAtLeeway);
                 }
-                
+
                 long notBeforeLeeway = parseLong(
                         params.get(FCS_AUTHENTICATION_ACCEPT_NOTBEFORE_PARAM), -1);
@@ -368,6 +368,6 @@
         return defaultValue;
     }
-    
-    
+
+
     private void writeEndpointDescription(XMLStreamWriter writer)
             throws XMLStreamException {
Index: /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/XMLStreamWriterHelper.java
===================================================================
--- /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/XMLStreamWriterHelper.java	(revision 7278)
+++ /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/XMLStreamWriterHelper.java	(revision 7279)
@@ -446,5 +446,5 @@
         }
         if (hits == null) {
-            throw new NullPointerException("text == null");
+            throw new NullPointerException("hits == null");
         }
         if ((hits.length == 0) || ((hits.length % 2) != 0)) {
Index: /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/parser/QueryParser.java
===================================================================
--- /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/parser/QueryParser.java	(revision 7278)
+++ /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/parser/QueryParser.java	(revision 7279)
@@ -41,5 +41,4 @@
 import eu.clarin.sru.fcs.qlparser.FCSLexer;
 import eu.clarin.sru.fcs.qlparser.FCSParser;
-import eu.clarin.sru.fcs.qlparser.FCSParserBaseVisitor;
 import eu.clarin.sru.fcs.qlparser.FCSParser.AttributeContext;
 import eu.clarin.sru.fcs.qlparser.FCSParser.Expression_andContext;
@@ -64,4 +63,5 @@
 import eu.clarin.sru.fcs.qlparser.FCSParser.Within_partContext;
 import eu.clarin.sru.fcs.qlparser.FCSParser.Within_part_simpleContext;
+import eu.clarin.sru.fcs.qlparser.FCSParserBaseVisitor;
 
 
@@ -209,5 +209,5 @@
                 throw new IllegalArgumentException("initStackSize < 1");
             }
-            this.stack = new ArrayDeque<Object>(initStackSize);
+            this.stack = new ArrayDeque<>(initStackSize);
         }
 
@@ -226,5 +226,5 @@
             if (w_ctx != null) {
                 QueryNode within = (QueryNode) stack.pop();
-                QueryNode query  = (QueryNode) stack.pop();;
+                QueryNode query  = (QueryNode) stack.pop();
                 stack.push(new QueryWithWithin(query, within));
             }
@@ -263,5 +263,5 @@
             super.visitQuery_disjunction(ctx);
             if (stack.size() > pos) {
-                List<QueryNode> items = new ArrayList<QueryNode>();
+                List<QueryNode> items = new ArrayList<>();
                 while (stack.size() > pos) {
                     items.add(0, (QueryNode) stack.pop());
@@ -291,5 +291,5 @@
             super.visitQuery_sequence(ctx);
             if (stack.size() > pos) {
-                List<QueryNode> items = new ArrayList<QueryNode>();
+                List<QueryNode> items = new ArrayList<>();
                 while (stack.size() > pos) {
                     items.add(0, (QueryNode) stack.pop());
@@ -518,5 +518,5 @@
             super.visitExpression_or(ctx);
             if (stack.size() > pos) {
-                final List<QueryNode> children = new ArrayList<QueryNode>();
+                final List<QueryNode> children = new ArrayList<>();
                 while (stack.size() > pos) {
                     children.add(0, (QueryNode) stack.pop());
@@ -545,5 +545,5 @@
             super.visitExpression_and(ctx);
             if (stack.size() > pos) {
-                final List<QueryNode> children = new ArrayList<QueryNode>();
+                final List<QueryNode> children = new ArrayList<>();
                 while (stack.size() > pos) {
                     children.add(0, (QueryNode) stack.pop());
@@ -615,5 +615,5 @@
                 final String s = f_ctx.getText();
 
-                Set<RegexFlag> flags = new HashSet<RegexFlag>();
+                Set<RegexFlag> flags = new HashSet<>();
                 for (int i = 0; i < s.length(); i++) {
                     switch (s.charAt(i)) {
@@ -990,5 +990,5 @@
                 String msg, RecognitionException e) {
             if (errors == null) {
-                errors = new ArrayList<String>();
+                errors = new ArrayList<>();
             }
 
Index: /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/utils/SimpleEndpointDescriptionParser.java
===================================================================
--- /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/utils/SimpleEndpointDescriptionParser.java	(revision 7278)
+++ /FCSSimpleEndpoint/trunk/src/main/java/eu/clarin/sru/server/fcs/utils/SimpleEndpointDescriptionParser.java	(revision 7279)
@@ -185,5 +185,5 @@
 
         // capabilities
-        List<URI> capabilities = new ArrayList<URI>();
+        List<URI> capabilities = new ArrayList<>();
         exp = xpath.compile("//ed:Capabilities/ed:Capability");
         NodeList list =
@@ -225,8 +225,8 @@
 
         // used to check for uniqueness of id attribute
-        final Set<String> xml_ids = new HashSet<String>();
+        final Set<String> xml_ids = new HashSet<>();
 
         // supported data views
-        List<DataView> supportedDataViews = new ArrayList<DataView>();
+        List<DataView> supportedDataViews = new ArrayList<>();
         exp = xpath.compile("//ed:SupportedDataViews/ed:SupportedDataView");
         list = (NodeList) exp.evaluate(doc, XPathConstants.NODESET);
@@ -406,5 +406,5 @@
 
                 if (supportedLayers == null) {
-                    supportedLayers = new ArrayList<Layer>(list.getLength());
+                    supportedLayers = new ArrayList<>(list.getLength());
                 }
                 supportedLayers.add(new Layer(id, resultId, type, encoding,
@@ -426,5 +426,5 @@
         exp = xpath.compile("/ed:EndpointDescription/ed:Resources/ed:Resource");
         list = (NodeList) exp.evaluate(doc, XPathConstants.NODESET);
-        final Set<String> pids = new HashSet<String>();
+        final Set<String> pids = new HashSet<>();
         List<ResourceInfo> resources = parseResources(xpath, list, pids,
                 supportedDataViews, supportedLayers, version, hasAdvView);
@@ -511,5 +511,5 @@
 
                     if (titles == null) {
-                        titles = new HashMap<String, String>();
+                        titles = new HashMap<>();
                     }
                     if (titles.containsKey(lang)) {
@@ -542,5 +542,5 @@
 
                     if (descrs == null) {
-                        descrs = new HashMap<String, String>();
+                        descrs = new HashMap<>();
                     }
 
@@ -592,5 +592,5 @@
 
                     if (langs == null) {
-                        langs = new ArrayList<String>();
+                        langs = new ArrayList<>();
                     }
                     langs.add(s);
@@ -614,8 +614,8 @@
                 }
 
-                for (int i = 0; i < refs.length; i++) {
+                for (String ref2 : refs) {
                     DataView dataview = null;
                     for (DataView dv : supportedDataViews) {
-                        if (refs[i].equals(dv.getIdentifier())) {
+                        if (ref2.equals(dv.getIdentifier())) {
                             dataview = dv;
                             break;
@@ -624,10 +624,10 @@
                     if (dataview != null) {
                         if (availableDataViews == null) {
-                            availableDataViews = new ArrayList<DataView>();
+                            availableDataViews = new ArrayList<>();
                         }
                         availableDataViews.add(dataview);
                     } else {
                         throw new SRUConfigException(
-                                "A data view with " + "identifier '" + refs[i] +
+                                "A data view with " + "identifier '" + ref2 +
                                         "' was not defined " +
                                         "in <SupportedDataViews>");
@@ -658,8 +658,8 @@
                 }
 
-                for (int i = 0; i < refs.length; i++) {
+                for (String ref2 : refs) {
                     Layer layer = null;
                     for (Layer l : supportedLayers) {
-                        if (refs[i].equals(l.getId())) {
+                        if (ref2.equals(l.getId())) {
                             layer = l;
                             break;
@@ -668,10 +668,10 @@
                     if (layer != null) {
                         if (availableLayers == null) {
-                            availableLayers = new ArrayList<Layer>();
+                            availableLayers = new ArrayList<>();
                         }
                         availableLayers.add(layer);
                     } else {
                         throw new SRUConfigException("A layer with " +
-                                "identifier '" + refs[i] +
+                                "identifier '" + ref2 +
                                 "' was not defined " + "in <SupportedLayers>");
                     }
@@ -692,5 +692,5 @@
 
             if (ris == null) {
-                ris = new ArrayList<ResourceInfo>();
+                ris = new ArrayList<>();
             }
             if ((availableLayers != null) && (version < 1)) {