Index: /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/AbstractClarinFCSRecordDataParser.java
===================================================================
--- /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/AbstractClarinFCSRecordDataParser.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/AbstractClarinFCSRecordDataParser.java	(revision 7280)
@@ -64,5 +64,5 @@
         }
 
-        ArrayList<DataViewParser> list = new ArrayList<DataViewParser>();
+        ArrayList<DataViewParser> list = new ArrayList<>();
         boolean foundGeneric = false;
         for (DataViewParser parser : parsers) {
@@ -172,5 +172,5 @@
             if (dataview != null) {
                 if (dataviews == null) {
-                    dataviews = new LinkedList<DataView>();
+                    dataviews = new LinkedList<>();
                 }
                 dataviews.add(dataview);
@@ -196,5 +196,5 @@
 
             if (resourceFragments == null) {
-                resourceFragments = new LinkedList<Resource.ResourceFragment>();
+                resourceFragments = new LinkedList<>();
             }
             resourceFragments.add(new Resource.ResourceFragment(pid, ref, dataviews));
Index: /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSClientBuilder.java
===================================================================
--- /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSClientBuilder.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSClientBuilder.java	(revision 7280)
@@ -20,8 +20,8 @@
 import java.util.List;
 
-import eu.clarin.sru.client.SRURequestAuthenticator;
 import eu.clarin.sru.client.SRUClient;
 import eu.clarin.sru.client.SRUClientConfig;
 import eu.clarin.sru.client.SRUExtraResponseDataParser;
+import eu.clarin.sru.client.SRURequestAuthenticator;
 import eu.clarin.sru.client.SRUSimpleClient;
 import eu.clarin.sru.client.SRUThreadedClient;
@@ -39,7 +39,7 @@
     private static final SRUVersion DEFAULT_SRU_VERSION =
             SRUVersion.VERSION_1_2;
-    private List<DataViewParser> parsers = new ArrayList<DataViewParser>();
+    private List<DataViewParser> parsers = new ArrayList<>();
     private List<SRUExtraResponseDataParser> extraDataParsers =
-            new ArrayList<SRUExtraResponseDataParser>();
+            new ArrayList<>();
     private SRUVersion defaultVersion = DEFAULT_SRU_VERSION;
     private boolean unknownAsDom = DEFAULT_UNKNOWN_AS_DOM;
@@ -49,5 +49,5 @@
     private int socketTimeout = SRUClientConfig.DEFAULT_SOCKET_TIMEOUT;
     private SRURequestAuthenticator requestAuthStrategy;
-    
+
 
     /**
@@ -354,5 +354,5 @@
     private List<DataViewParser> finalizeDataViewParsers() {
         final List<DataViewParser> result =
-                new ArrayList<DataViewParser>(parsers.size() +
+                new ArrayList<>(parsers.size() +
                         (legacySupport ? 2 : 1));
         result.addAll(parsers);
Index: /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSEndpointDescriptionParser.java
===================================================================
--- /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSEndpointDescriptionParser.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/ClarinFCSEndpointDescriptionParser.java	(revision 7280)
@@ -127,5 +127,5 @@
                 final URI uri = new URI(s);
                 if (capabilities == null) {
-                    capabilities = new ArrayList<URI>();
+                    capabilities = new ArrayList<>();
                 }
                 capabilities.add(uri);
@@ -189,5 +189,5 @@
                 }
             } else {
-                supportedDataViews = new ArrayList<DataView>();
+                supportedDataViews = new ArrayList<>();
             }
             supportedDataViews.add(new DataView(id, type, policy));
@@ -261,5 +261,5 @@
                 XmlStreamReaderUtils.readEnd(reader, ED_NS_URI, "SupportedLayer");
                 if (supportedLayers == null) {
-                    supportedLayers = new ArrayList<Layer>();
+                    supportedLayers = new ArrayList<>();
                 }
                 supportedLayers.add(new Layer(id, resultId, layer,
@@ -336,5 +336,5 @@
 
             logger.debug("hasAdvSearch: {}", hasAdvancedSearch);
-            
+
             logger.debug("parsing resource with pid = {}", pid);
 
@@ -361,5 +361,5 @@
                 XmlStreamReaderUtils.readEnd(reader, ED_NS_URI, "Language");
                 if (languages == null) {
-                    languages = new ArrayList<String>();
+                    languages = new ArrayList<>();
                 } else {
                     for (String l : languages) {
@@ -389,5 +389,5 @@
                             found = true;
                             if (dataviews == null) {
-                                dataviews = new ArrayList<DataView>();
+                                dataviews = new ArrayList<>();
                             }
                             dataviews.add(dataview);
@@ -420,5 +420,5 @@
                                 found = true;
                                 if (layers == null) {
-                                    layers = new ArrayList<Layer>();
+                                    layers = new ArrayList<>();
                                 }
                                 layers.add(layer);
@@ -475,5 +475,5 @@
 
             if (resources == null) {
-                resources = new ArrayList<ResourceInfo>();
+                resources = new ArrayList<>();
             }
             resources.add(new ResourceInfo(pid, title, description,
@@ -497,5 +497,5 @@
             final String content = XmlStreamReaderUtils.readString(reader, true);
             if (result == null) {
-                result = new HashMap<String, String>();
+                result = new HashMap<>();
             }
             if (result.containsKey(lang)) {
Index: /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserAdvanced.java
===================================================================
--- /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserAdvanced.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserAdvanced.java	(revision 7280)
@@ -72,6 +72,5 @@
 
         // Segments
-        final Map<String, DataViewAdvanced.Segment> segments =
-                new HashMap<String, DataViewAdvanced.Segment>();
+        final Map<String, DataViewAdvanced.Segment> segments = new HashMap<>();
         XmlStreamReaderUtils.readStart(reader, FCS_ADV_NS, "Segments", true);
         while (XmlStreamReaderUtils.readStart(reader, FCS_ADV_NS, "Segment",
@@ -98,5 +97,5 @@
         // Layers
         List<DataViewAdvanced.Layer> layers =
-                new ArrayList<DataViewAdvanced.Layer>();
+                new ArrayList<>();
 
         XmlStreamReaderUtils.readStart(reader, FCS_ADV_NS, "Layers", true);
@@ -108,5 +107,5 @@
 
             final List<DataViewAdvanced.Span> spans =
-                    new ArrayList<DataViewAdvanced.Span>();
+                    new ArrayList<>();
             while (XmlStreamReaderUtils.readStart(reader, FCS_ADV_NS, "Span",
                     spans.isEmpty(), true)) {
Index: /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserGenericString.java
===================================================================
--- /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserGenericString.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/DataViewParserGenericString.java	(revision 7280)
@@ -18,4 +18,5 @@
 
 import java.io.StringWriter;
+
 import javax.xml.stream.XMLOutputFactory;
 import javax.xml.stream.XMLStreamConstants;
Index: /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyClarinFCSRecordDataParser.java
===================================================================
--- /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyClarinFCSRecordDataParser.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/main/java/eu/clarin/sru/client/fcs/LegacyClarinFCSRecordDataParser.java	(revision 7280)
@@ -37,5 +37,5 @@
     private final boolean fullLegacyCompatMode;
 
-    
+
     /**
      * Constructor.
Index: /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestClient.java
===================================================================
--- /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestClient.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestClient.java	(revision 7280)
@@ -29,6 +29,4 @@
 import eu.clarin.sru.client.SRUSearchRetrieveResponse;
 import eu.clarin.sru.client.SRUVersion;
-import eu.clarin.sru.client.fcs.ClarinFCSClientBuilder;
-import eu.clarin.sru.client.fcs.ClarinFCSEndpointDescriptionParser;
 
 
Index: /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestSimpleClient.java
===================================================================
--- /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestSimpleClient.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestSimpleClient.java	(revision 7280)
@@ -32,6 +32,4 @@
 import eu.clarin.sru.client.SRUSimpleClient;
 import eu.clarin.sru.client.SRUWhereInList;
-import eu.clarin.sru.client.fcs.ClarinFCSClientBuilder;
-import eu.clarin.sru.client.fcs.ClarinFCSRecordData;
 
 
Index: /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClient.java
===================================================================
--- /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClient.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClient.java	(revision 7280)
@@ -30,6 +30,4 @@
 import eu.clarin.sru.client.SRUSearchRetrieveResponse;
 import eu.clarin.sru.client.SRUThreadedClient;
-import eu.clarin.sru.client.fcs.ClarinFCSClientBuilder;
-import eu.clarin.sru.client.fcs.ClarinFCSEndpointDescriptionParser;
 
 @Deprecated
Index: /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClientCallback.java
===================================================================
--- /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClientCallback.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestThreadedClientCallback.java	(revision 7280)
@@ -31,6 +31,4 @@
 import eu.clarin.sru.client.SRUSearchRetrieveResponse;
 import eu.clarin.sru.client.SRUThreadedClient;
-import eu.clarin.sru.client.fcs.ClarinFCSClientBuilder;
-import eu.clarin.sru.client.fcs.ClarinFCSEndpointDescriptionParser;
 
 
Index: /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestUtils.java
===================================================================
--- /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestUtils.java	(revision 7279)
+++ /FCSSimpleClient/trunk/src/test/java/eu/clarin/sru/client/fcs/TestUtils.java	(revision 7280)
@@ -26,4 +26,6 @@
 import eu.clarin.sru.client.SRUDiagnostic;
 import eu.clarin.sru.client.SRUExplainRecordData;
+import eu.clarin.sru.client.SRUExplainRecordData.ConfigInfo;
+import eu.clarin.sru.client.SRUExplainRecordData.Schema;
 import eu.clarin.sru.client.SRUExplainRequest;
 import eu.clarin.sru.client.SRUExplainResponse;
@@ -39,15 +41,5 @@
 import eu.clarin.sru.client.SRUSurrogateRecordData;
 import eu.clarin.sru.client.SRUTerm;
-import eu.clarin.sru.client.SRUExplainRecordData.ConfigInfo;
-import eu.clarin.sru.client.SRUExplainRecordData.Schema;
-import eu.clarin.sru.client.fcs.ClarinFCSEndpointDescription;
 import eu.clarin.sru.client.fcs.ClarinFCSEndpointDescription.ResourceInfo;
-import eu.clarin.sru.client.fcs.ClarinFCSRecordData;
-import eu.clarin.sru.client.fcs.DataView;
-import eu.clarin.sru.client.fcs.DataViewAdvanced;
-import eu.clarin.sru.client.fcs.DataViewGenericDOM;
-import eu.clarin.sru.client.fcs.DataViewGenericString;
-import eu.clarin.sru.client.fcs.DataViewHits;
-import eu.clarin.sru.client.fcs.Resource;
 
 class TestUtils {