Index: SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractRequest.java
===================================================================
--- SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractRequest.java	(revision 7272)
+++ SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractRequest.java	(revision 7281)
@@ -269,5 +269,5 @@
         }
         if (extraRequestData == null) {
-            extraRequestData = new HashMap<String, String>();
+            extraRequestData = new HashMap<>();
         }
         extraRequestData.put(name, value);
Index: SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractResponse.java
===================================================================
--- SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractResponse.java	(revision 7272)
+++ SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractResponse.java	(revision 7281)
@@ -126,5 +126,5 @@
     /**
      * Get the number of diagnostics in the response.
-     * 
+     *
      * <p>
      * NB: Surrogate diagnostics are not covered by this.
@@ -165,5 +165,5 @@
      * Return the number of extra response data records attached to the
      * response.
-     * 
+     *
      * @return the number of records, or <code>0</code> is none
      */
@@ -171,6 +171,6 @@
         return (extraResponseData != null) ? extraResponseData.size() : 0;
     }
-    
-    
+
+
     /**
      * Get the extra response data of a specific class for this result.
@@ -195,5 +195,5 @@
                 if (clazz.isInstance(i)) {
                     if (result == null) {
-                        result = new ArrayList<V>();
+                        result = new ArrayList<>();
                     }
                     result.add(clazz.cast(i));
Index: SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClient.java
===================================================================
--- SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClient.java	(revision 7272)
+++ SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClient.java	(revision 7281)
@@ -76,5 +76,5 @@
     /* other fields */
     private final DocumentBuilder documentBuilder;
-    private final Deque<Node> stack = new ArrayDeque<Node>();
+    private final Deque<Node> stack = new ArrayDeque<>();
 
 
@@ -251,5 +251,5 @@
     private void addTerm(SRUTerm term) {
         if (terms == null) {
-            terms = new LinkedList<SRUTerm>();
+            terms = new LinkedList<>();
         }
         terms.add(term);
@@ -259,5 +259,5 @@
     private void addRecord(SRURecord record) {
         if (records == null) {
-            records = new LinkedList<SRURecord>();
+            records = new LinkedList<>();
         }
         records.add(record);
@@ -353,5 +353,5 @@
                     if (SRUClient.this.extraResponseData == null) {
                         SRUClient.this.extraResponseData =
-                                new ArrayList<SRUExtraResponseData>();
+                                new ArrayList<>();
                     }
                     SRUClient.this.extraResponseData.add(data);
Index: SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClientConfig.java
===================================================================
--- SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClientConfig.java	(revision 7272)
+++ SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClientConfig.java	(revision 7281)
@@ -79,5 +79,5 @@
     /**
      * Get the customized HTTP client which is to be used.
-     * 
+     *
      * @return a configured HTTP client instance or <code>null</code>
      */
@@ -89,5 +89,5 @@
     /**
      * Get the request authenticator
-     * 
+     *
      * @return the configured request authenticator or <code>null</code>
      */
@@ -100,5 +100,5 @@
      * Get the HTTP client context which is to be used. Only relevant, if a
      * customized HTTP client is set, see {{@link #getCustomizedHttpClient()}.
-     * 
+     *
      * @return a HTTP client context instance or <code>null</code>
      */
@@ -186,5 +186,5 @@
                 Runtime.getRuntime().availableProcessors() * 2;
         private List<SRURecordDataParser> recordParsers =
-                new ArrayList<SRURecordDataParser>();
+                new ArrayList<>();
         private List<SRUExtraResponseDataParser> extraDataParsers = null;
 
@@ -259,5 +259,5 @@
         /**
          * Set a customized HTTP client which is to be used.
-         * 
+         *
          * @param httpClient
          *            a configured HTTP client instance
@@ -273,5 +273,5 @@
          * Optionally set the HTTP context which is to be used by the customized
          * HTTP client.
-         * 
+         *
          * @param httpContext
          *            a HTTP context instance
@@ -360,5 +360,5 @@
             }
             if (extraDataParsers == null) {
-                extraDataParsers = new ArrayList<SRUExtraResponseDataParser>();
+                extraDataParsers = new ArrayList<>();
             }
             extraDataParsers.add(parser);
Index: SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainRecordDataParser.java
===================================================================
--- SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainRecordDataParser.java	(revision 7272)
+++ SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainRecordDataParser.java	(revision 7281)
@@ -191,5 +191,5 @@
         }
 
-        Set<String> transports = new HashSet<String>();
+        Set<String> transports = new HashSet<>();
         s = XmlStreamReaderUtils.readAttributeValue(reader, null, "transport");
         if (s != null) {
@@ -296,5 +296,5 @@
                         parseStringI18N(reader, strict, ns, "title", true);
                 if (title == null) {
-                    title = new ArrayList<LocalizedString>();
+                    title = new ArrayList<>();
                 }
                 title.add(s);
@@ -326,5 +326,5 @@
                         parseStringI18N(reader, strict, ns, "description", true);
                 if (description == null) {
-                    description = new ArrayList<LocalizedString>();
+                    description = new ArrayList<>();
                 }
                 description.add(s);
@@ -334,5 +334,5 @@
                         parseStringI18N(reader, strict, ns, "author", true);
                 if (author == null) {
-                    author = new ArrayList<LocalizedString>();
+                    author = new ArrayList<>();
                 }
                 author.add(s);
@@ -342,5 +342,5 @@
                         parseStringI18N(reader, strict, ns, "contact", true);
                 if (contact == null) {
-                    contact = new ArrayList<LocalizedString>();
+                    contact = new ArrayList<>();
                 }
                 contact.add(s);
@@ -350,5 +350,5 @@
                         parseStringI18N(reader, strict, ns, "extent", true);
                 if (extent == null) {
-                    extent = new ArrayList<LocalizedString>();
+                    extent = new ArrayList<>();
                 }
                 extent.add(s);
@@ -358,5 +358,5 @@
                         parseStringI18N(reader, strict, ns, "history", true);
                 if (history == null) {
-                    history = new ArrayList<LocalizedString>();
+                    history = new ArrayList<>();
                 }
                 history.add(s);
@@ -367,5 +367,5 @@
                         parseStringI18N(reader, strict, ns, "restrictions", true);
                 if (restrictions == null) {
-                    restrictions = new ArrayList<LocalizedString>();
+                    restrictions = new ArrayList<>();
                 }
                 restrictions.add(s);
@@ -375,5 +375,5 @@
                         parseStringI18N(reader, strict, ns, "subjects", true);
                 if (subjects == null) {
-                    subjects = new ArrayList<LocalizedString>();
+                    subjects = new ArrayList<>();
                 }
                 subjects.add(s);
@@ -383,5 +383,5 @@
                         parseStringI18N(reader, strict, ns, "links", true);
                 if (links == null) {
-                    links = new ArrayList<LocalizedString>();
+                    links = new ArrayList<>();
                 }
                 links.add(s);
@@ -392,5 +392,5 @@
                         parseStringI18N(reader, strict, ns, "implementation", true);
                 if (implementation == null) {
-                    implementation = new ArrayList<LocalizedString>();
+                    implementation = new ArrayList<>();
                 }
                 implementation.add(s);
@@ -439,5 +439,5 @@
                     }
                     if (titles == null) {
-                        titles = new ArrayList<LocalizedString>();
+                        titles = new ArrayList<>();
                     }
                     titles.add(title);
@@ -446,5 +446,5 @@
 
                 if (sets == null) {
-                    sets = new ArrayList<IndexInfo.Set>();
+                    sets = new ArrayList<>();
                 }
                 sets.add(new IndexInfo.Set(identifier, name, titles));
@@ -471,5 +471,5 @@
                     }
                     if (titles == null) {
-                        titles = new ArrayList<LocalizedString>();
+                        titles = new ArrayList<>();
                     }
                     titles.add(title);
@@ -508,5 +508,5 @@
                         if ((set != null) && (name != null)) {
                             if (maps == null) {
-                                maps = new ArrayList<IndexInfo.Index.Map>();
+                                maps = new ArrayList<>();
                             }
                             maps.add(new IndexInfo.Index.Map(primary, set, name));
@@ -531,5 +531,5 @@
                 XmlStreamReaderUtils.readEnd(reader, ns, "index");
                 if (indexes == null) {
-                    indexes = new ArrayList<IndexInfo.Index>();
+                    indexes = new ArrayList<>();
                 }
                 indexes.add(new IndexInfo.Index(id, titles, can_search,
@@ -681,5 +681,5 @@
                 }
                 if (titles == null) {
-                    titles = new ArrayList<LocalizedString>();
+                    titles = new ArrayList<>();
                 }
                 titles.add(title);
@@ -688,5 +688,5 @@
 
             if (schemaInfo == null) {
-                schemaInfo = new ArrayList<Schema>();
+                schemaInfo = new ArrayList<>();
             }
             schemaInfo.add(new Schema(identifier, name, location, sort,
@@ -711,5 +711,5 @@
         if ((type != null) && (value != null)) {
             if (map == null) {
-                map = new HashMap<String, String>();
+                map = new HashMap<>();
             }
             if (map.containsKey(type)) {
Index: SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanResponse.java
===================================================================
--- SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanResponse.java	(revision 7272)
+++ SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanResponse.java	(revision 7281)
@@ -70,5 +70,5 @@
     /**
      * Get the number of terms returned by the request.
-     * 
+     *
      * @return the number of terms or <code>0</code> if none
      */
Index: SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveResponse.java
===================================================================
--- SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveResponse.java	(revision 7272)
+++ SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveResponse.java	(revision 7281)
@@ -112,5 +112,5 @@
     /**
      * Get the number of records returned by the request.
-     * 
+     *
      * @return number of records or <code>0</code> if none
      */
Index: SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSimpleClient.java
===================================================================
--- SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSimpleClient.java	(revision 7272)
+++ SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSimpleClient.java	(revision 7281)
@@ -114,5 +114,5 @@
                     "no record data parsers registered");
         }
-        this.parsers = new HashMap<String, SRURecordDataParser>();
+        this.parsers = new HashMap<>();
         for (SRURecordDataParser parser : list) {
             final String recordSchema = parser.getRecordSchema();
Index: SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUVersion.java
===================================================================
--- SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUVersion.java	(revision 7272)
+++ SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUVersion.java	(revision 7281)
@@ -51,12 +51,12 @@
     };
 
-    
+
     /**
      * Get a numerical representation of the version.
-     * 
+     *
      * @return numerical representation of the version
      */
     public abstract int getVersionNumber();
-    
+
 
     public boolean isVersion(SRUVersion version) {