Index: /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUQueryParserRegistry.java
===================================================================
--- /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUQueryParserRegistry.java	(revision 7281)
+++ /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUQueryParserRegistry.java	(revision 7282)
@@ -76,6 +76,5 @@
      */
     public static class Builder {
-        private final List<SRUQueryParser<?>> parsers =
-                new ArrayList<SRUQueryParser<?>>();
+        private final List<SRUQueryParser<?>> parsers = new ArrayList<>();
 
 
@@ -96,5 +95,5 @@
 
         /**
-         * Constructor. Automaticaly registers registers SRU/CQL standard query
+         * Constructor. Automatically registers registers SRU/CQL standard query
          * parsers (queryType <em>cql</em> and <em>searchTerms</em>).
          */
Index: /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURequestImpl.java
===================================================================
--- /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURequestImpl.java	(revision 7281)
+++ /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURequestImpl.java	(revision 7282)
@@ -617,5 +617,5 @@
                              */
                             final Map<String, String> queryParameters =
-                                    new HashMap<String, String>();
+                                    new HashMap<>();
                             List<String> missingParameter = null;
                             for (String name : queryParser.getQueryParameterNames()) {
@@ -627,5 +627,5 @@
                                 } else {
                                     if (missingParameter == null) {
-                                        missingParameter = new ArrayList<String>();
+                                        missingParameter = new ArrayList<>();
                                     }
                                     missingParameter.add(name);
@@ -1009,5 +1009,5 @@
             if (name.startsWith(PARAM_EXTENSION_PREFIX)) {
                 if (result == null) {
-                    result = new ArrayList<String>();
+                    result = new ArrayList<>();
                 }
                 result.add(name);
@@ -1052,12 +1052,12 @@
     private void addDiagnostic(SRUDiagnostic diagnostic) {
         if (diagnostics == null) {
-            diagnostics = new ArrayList<SRUDiagnostic>();
+            diagnostics = new ArrayList<>();
         }
         diagnostics.add(diagnostic);
     }
-    
-    
+
+
     private List<String> getParameterNames() {
-        List<String> list = new ArrayList<String>();
+        List<String> list = new ArrayList<>();
         for (Enumeration<?> i = request.getParameterNames();
                 i.hasMoreElements();) {
Index: /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUServerConfig.java
===================================================================
--- /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUServerConfig.java	(revision 7281)
+++ /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUServerConfig.java	(revision 7282)
@@ -1236,5 +1236,5 @@
         NodeList result = (NodeList) expr.evaluate(doc, XPathConstants.NODESET);
         if (result.getLength() > 0) {
-            sets = new ArrayList<IndexInfo.Set>(result.getLength());
+            sets = new ArrayList<>(result.getLength());
             for (int i = 0; i < result.getLength(); i++) {
                 Element e = (Element) result.item(i);
@@ -1258,5 +1258,5 @@
         result = (NodeList) expr.evaluate(doc, XPathConstants.NODESET);
         if (result.getLength() > 0) {
-            indexes = new ArrayList<IndexInfo.Index>(result.getLength());
+            indexes = new ArrayList<>(result.getLength());
             for (int i = 0; i < result.getLength(); i++) {
                 Element e = (Element) result.item(i);
@@ -1269,5 +1269,5 @@
                 NodeList result2 = e.getElementsByTagName("map");
                 if ((result2 != null) && (result2.getLength() > 0)) {
-                    maps = new ArrayList<IndexInfo.Index.Map>(
+                    maps = new ArrayList<>(
                             result2.getLength());
                     boolean foundPrimary = false;
@@ -1332,5 +1332,5 @@
         NodeList result = (NodeList) expr.evaluate(doc, XPathConstants.NODESET);
         if (result.getLength() > 0) {
-            schemaInfos = new ArrayList<SchemaInfo>(result.getLength());
+            schemaInfos = new ArrayList<>(result.getLength());
             for (int i = 0; i < result.getLength(); i++) {
                 Element e = (Element) result.item(i);
@@ -1377,5 +1377,5 @@
         List<LocalizedString> list = null;
         if (nodes.getLength() > 0) {
-            list = new ArrayList<LocalizedString>(nodes.getLength());
+            list = new ArrayList<>(nodes.getLength());
             boolean foundPrimary = false;
             for (int i = 0; i < nodes.getLength(); i++) {
Index: /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUXMLStreamWriter.java
===================================================================
--- /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUXMLStreamWriter.java	(revision 7281)
+++ /SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUXMLStreamWriter.java	(revision 7282)
@@ -129,5 +129,5 @@
             this.indent = indent;
             this.state = IndentingState.SEEN_NOTHING;
-            this.stateStack = new ArrayDeque<IndentingState>(16);
+            this.stateStack = new ArrayDeque<>(16);
         }
     }